org.apache.solr.request

## Class SimpleFacets.ParsedParams

- java.lang.Object
- - org.apache.solr.request.SimpleFacets.ParsedParams

- Enclosing class:
    SimpleFacets

      protected static final class SimpleFacets.ParsedParams
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DocSet` | `docs`
    `String` | `facetValue`
    `String` | `key`
    `SolrParams` | `localParams`
    `SolrParams` | `params`
    `SolrParams` | `required`
    `List<String>` | `tags`
    `int` | `threads`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedParams(SolrParams localParams, SolrParams params, SolrParams required, String facetValue, DocSet docs, String key, List<String> tags, int threads)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleFacets.ParsedParams` | `withDocs(DocSet docs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localParams

          public final SolrParams localParams

    - #### params

          public final SolrParams params

    - #### required

          public final SolrParams required

    - #### facetValue

          public final String facetValue

    - #### docs

          public final DocSet docs

    - #### key

          public final String key

    - #### tags

          public final List<String> tags

    - #### threads

          public final int threads

  - ### Constructor Detail

    - #### ParsedParams

          public ParsedParams(SolrParams localParams,
                              SolrParams params,
                              SolrParams required,
                              String facetValue,
                              DocSet docs,
                              String key,
                              List<String> tags,
                              int threads)

  - ### Method Detail

    - #### withDocs

          public SimpleFacets.ParsedParams withDocs(DocSet docs)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.